Subject: Re: [PATCHv4] submodule deinit: require '--all' instead of '.' for all submodules

From: Junio C Hamano <[email-masked]>
Date: Thu, 05 May 2016 11:03:28 -0700

Jonathan Nieder <[email-masked]> writes:

> I mean low level as in implementation detail.  The human user would
> wonder "what is incompatible about them?  Why are you stopping me from
> what I am trying to do?"

Maybe s/incompatible/inconsistent/ is what you are after?  Why are
you stopping me from what I am trying to do?  Because you are asking
to do two contradicting things.  Do you want to nuke everything, or
do you want to keep everything outside what you specified?

After being saved countless times from a stupid mistake

    $ git commit -a -s foo.c

that was caused by habitually typing "-a", when I do want to limit
the changes to record to a specific path (or two) with similar
safety, I do not think "what is incompatible about them" is a valid
question.